Package org.eclipse.emf.cdo.spi.server

# Class AbstractOperationAuthorizer<CONTEXT>

java.lang.Object
org.eclipse.emf.cdo.spi.server.AbstractOperationAuthorizer<CONTEXT>

All Implemented Interfaces:
  `org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT>`

public abstract class AbstractOperationAuthorizer<CONTEXT> extends Object implements org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT>

Since:
  4.15
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AbstractOperationAuthorizer.Factory<CONTEXT>`

## Constructor Summary

Constructors
Constructor
Description
`AbstractOperationAuthorizer(String operationID)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract String`
`authorizeOperation(CONTEXT context, Map<String,Object> parameters)`
`String`
`authorizeOperation(CONTEXT context, org.eclipse.net4j.util.security.operations.AuthorizableOperation operation)`
`final String`
`getOperationID()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractOperationAuthorizer

public AbstractOperationAuthorizer(String operationID)

## Method Details

### getOperationID

public final String getOperationID()

### authorizeOperation

public String authorizeOperation(CONTEXT context, org.eclipse.net4j.util.security.operations.AuthorizableOperation operation)

Specified by:
  `authorizeOperation` in interface `org.eclipse.net4j.util.security.operations.OperationAuthorizer<CONTEXT>`

### authorizeOperation

protected abstract String authorizeOperation(CONTEXT context, Map<String,Object> parameters)